package com.prodhack.moscow2025.presentation.navigation

/**
 * Centralized list of application destinations.
 *
 * Keeping the routes in one place helps to avoid
 * string duplication and makes refactoring safer.
 */
sealed class AppDestination(val route: String) {
	data object Login : AppDestination("app/login")
	data object Register : AppDestination("app/register")

	data object Main : AppDestination("app/main")


	data object Profile : AppDestination("app/profile")

	data object FillProfile : AppDestination("app/fill_profile")

	data object ResumeDetails : AppDestination("resume/details") {
		const val ARG_ID = "id"
	}

	data object ResumeCreation: AppDestination("resume/creation")

	data object ResumeHistory : AppDestination("resume/history") {
		const val ARG_ID = "id"
	}

	data object ResumeEdit : AppDestination("resume/edit") {
		const val ARG_ID = "id"
	}

	data object ResumeDiff : AppDestination("resume/diff") {
		const val ARG_FIRST = "first_version"
		const val ARG_SECOND = "second_version"
	}
}
